summaryrefslogtreecommitdiff
path: root/package/kodi/files
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-08-28 12:16:00 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-08-28 12:16:10 +0200
commit76b0c60b5a04647a13cf0fd975ab84972ae1e51d (patch)
tree34a763f0791d46364b8a7423b200a30d514039f4 /package/kodi/files
parentd417d12720f20c8b051260e571ae2a1a9fde1a2e (diff)
update ffmpeg, add experimental kodi package, add freescale libraries
Diffstat (limited to 'package/kodi/files')
-rw-r--r--package/kodi/files/xbmc.init30
-rw-r--r--package/kodi/files/xbmc.postinst3
2 files changed, 33 insertions, 0 deletions
diff --git a/package/kodi/files/xbmc.init b/package/kodi/files/xbmc.init
new file mode 100644
index 000000000..bbe65c1c2
--- /dev/null
+++ b/package/kodi/files/xbmc.init
@@ -0,0 +1,30 @@
+#!/bin/sh
+#PKG xbmc
+#INIT 95
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${xbmc:-NO}" = x"NO" && exit 0
+ test x"$xbmc" = x"DAEMON" && test -x /bin/mksh && exec mksh -T- $0 start
+ exec sh $0 start
+ ;;
+start)
+ export LD_LIBRARY_PATH=/opt/vc/lib
+ xbmc &
+ ;;
+stop)
+ kill $(pgrep -f /usr/lib/xbmc/xbmc.bin)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?
diff --git a/package/kodi/files/xbmc.postinst b/package/kodi/files/xbmc.postinst
new file mode 100644
index 000000000..45274da68
--- /dev/null
+++ b/package/kodi/files/xbmc.postinst
@@ -0,0 +1,3 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf xbmc NO